Bug 215023 - logrotate script should leave cupsd alone
logrotate script should leave cupsd alone
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Reopened
Depends On:
Blocks: FC6Update 215024
  Show dependency treegraph
 
Reported: 2006-11-10 12:21 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.2.10-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 07:53:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-11-10 12:21:20 EST
Description of problem:
/etc/logrotate.d/cups should reload, not restart, cups after rotating the logs.

Version-Release number of selected component (if applicable):
cups-1.2.5-1.fc5.4

How reproducible:
100%
Comment 1 Tim Waugh 2007-01-12 11:44:37 EST
Hmm, actually even reload isn't safe.  Best not to poke cupsd at all in the
logrotate script.
Comment 2 Fedora Update System 2007-01-22 12:05:24 EST
Fixed in update: cups-1.2.7-1.7.fc6
Comment 3 Tim Waugh 2007-03-06 11:50:21 EST
CUPS ought to re-open its log files if logrotate has rotated them, otherwise we
end up continuing to write to error_log.1 etc.
Comment 4 Tim Waugh 2007-04-10 07:53:35 EDT
Fixed in update: cups-1.2.10-3.fc6.

Note You need to log in before you can comment on or make changes to this bug.